﻿@model ActivitiesSAPComboView
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/CRM/Views/Shared/_Layout.cshtml";

}
@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@Activity.Activities</h1>

<div class="row">
    <div class="col-md-3">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@Activity.Search </a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">
                    <div class="panel-body">
                        <div class="form-group">
                            @Html.TextBox("txtCode", "", new { @Id = "txtCode", @placeholder = @Activity.Code, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            @Html.TextBox("txtBPCode", "", new { @Id = "txtBPCode", @placeholder = @Activity.Cardcode, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            @Html.TextBox("txtBPName", "", new { @Id = "txtBPName", @placeholder = @Activity.Cardname, @class = "form-control", @disabled = "disabled" })
                        </div>
                        
                        <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>Search</button>
                        <div class="clear"></div>

                            <div class="form-group">
                                <label class="col-md-2 control-label">@Activity.Action</label>
                                <div class="col-md-10 no-padding">
                                    @Html.DropDownList("txtAction", new SelectList(
                                Model.ActivityActionList,
                                "Code",
                                "Name"), new { @Id = "txtAction", @class = "form-control" })
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-2 control-label">@Activity.Type</label>
                                <div class="col-md-10 no-padding">
                                    @Html.DropDownList("txtType", new SelectList(
                                Model.ActivityTypeList,
                                "Code",
                                "Name"), new { @Id = "txtType", @class = "form-control" })
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="input-group date">
                                    @Html.TextBox("txtStartDate", null, new { @Id = "txtStartDate", @placeholder = @Activity.Datefrom, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="input-group date">
                                    @Html.TextBox("txtEndDate", null, new { @Id = "txtEndDate", @placeholder = @Activity.Dateto, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-2 control-label">@Activity.Priority</label>
                                <div class="col-md-10  no-padding">
                                    @Html.DropDownList("txtPriority", new SelectList(
                                Model.ActivityPriorityList,
                                "Code",
                                "Name"), new { @Id = "txtPriority", @class = "form-control" })
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-2 control-label">@Activity.Status</label>
                                <div class="col-md-10  no-padding">
                                    @Html.DropDownList("txtStatus", new SelectList(
                                Model.ActivityStatusList,
                                "statusID",
                                "name"), new { @Id = "txtStatus", @class = "form-control" })
                                </div>

                            </div>
                            <div class="form-group">
                                <label class="col-md-2 control-label">@Activity.UserType</label>
                                <div class="col-md-10  no-padding">
                                    @Html.DropDownList("UserType", new SelectList(
                                Model.ActivityUserTypeList,
                                "Code",
                                "Name"), new { @Id = "UserType", @class = "form-control" })
                                </div>
                            </div>
                            <div class="form-group">
                                @Html.TextBox("txtRemarks", "", new { @Id = "txtRemarks", @placeholder = @Activity.Remark, @class = "form-control" })
                            </div>

                            

                        </div>

                    <div class="panel-footer">
                        <button type="button" id="btnSearch" class="btn btn-primary btn-ls pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@Activity.Search</button>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div id="BodyActivity" class="col-md-9">
        @Html.Partial("_ActivityList", Tuple.Create(new List<ActivitiesView>(), new ActivitiesSAPComboView()))
    </div>

</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">Search BP</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @Activity.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @Activity.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @Activity.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/CRM/CRMActivity/_Vendors",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@Activity.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@Activity.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@Activity.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@Activity.Customer"; break;
                                                        case "S": return "@Activity.Vendor"; break;
                                                        case "L": return "@Activity.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @Activity.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>


@Scripts.Render("~/bundles/CRMActivityIndex")



